Bio::TreeIO::TreeEventBuilder(3)

NAME
Bio::TreeIO::TreeEventBuilder - Build Bio::Tree::Tree's and
  Bio::Tree::Node's from Events

SYNOPSIS
# internal use only

DESCRIPTION
This object will take events and build a Bio::Tree::TreeI compliant object makde up of Bio::Tree::NodeI objects.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jason Stajich
Email jason-at-bioperl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::TreeIO::TreeEventBuilder->new();
 Function: Builds a new Bio::TreeIO::TreeEventBuilder object
 Returns : Bio::TreeIO::TreeEventBuilder
 Args    :

  treetype
 Title   : treetype
 Usage   : $obj->treetype($newval)
 Function:
 Returns : value of treetype
 Args    : newvalue (optional)

  nodetype
 Title   : nodetype
 Usage   : $obj->nodetype($newval)
 Function:
 Returns : value of nodetype
 Args    : newvalue (optional)

  SAX methods

  start_document
 Title   : start_document
 Usage   : $handler->start_document
 Function: Begins a Tree event cycle
 Returns : none
 Args    : none

  end_document
 Title   : end_document
 Usage   : my @trees = $parser->end_document
 Function: Finishes a Phylogeny cycle
 Returns : An array  Bio::Tree::TreeI
 Args    : none

  start_element
 Title   : start_element
 Usage   :
 Function:
 Example :
 Returns :
 Args    : $data => hashref with key 'Name'

  end_element
 Title   : end_element
 Usage   :
 Function:
 Returns : none
 Args    : $data => hashref with key 'Name'

  in_element
 Title   : in_element
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  within_element
 Title   : within_element
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  characters
 Title   : characters
 Usage   : $handler->characters($text);
 Function: Processes characters
 Returns : none
 Args    : text string